Bug 2972 - PyViz show_last_packets.py plugin needs library update
PyViz show_last_packets.py plugin needs library update
Status: PATCH WANTED
Product: ns-3
Classification: Unclassified
Component: visualizer
ns-3.29
All All
: P3 normal
Assigned To: Gustavo J. A. M. Carneiro
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-15 16:35 EDT by Tom Henderson
Modified: 2018-08-15 16:35 EDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Henderson 2018-08-15 16:35:39 EDT
The 'show last packets' plugin depends on python-kiwi package which has not been updated for GTK+3.  We suggest to refactor it to avoid kiwi if kiwi does not soon get an update.

"Last packets" is a plugin that displays a sample of some packets passing through a node in a list widget.  Gustavo suggests to convert that code to use a Gtk.ListView directly, instead of the kiwi api (which is built on top of Gtk.ListView, but is simpler to program).